Subject: Re: [Intel-wired-lan] [PATCH net-next v2 3/3] ice: remove unnecessary check for old MAC == new MAC

From: Jakub Kicinski <[email-masked]>
Date: Tue, 13 Jun 2023 11:24:35 -0700

On Tue, 13 Jun 2023 17:32:50 +0200 Piotr Gardocki wrote:
> > there is ether_addr_equal() call in iavf_set_mac(), even if not
> > exactly before eth_hw_addr_set(), it still should be removed ;)
> > 
> > Anyway, I would fix all 3 drivers with one patch.  
> 
> I guess you're looking at old version of dev-queue branch on Tony's
> tree :) Regarding ice and i40e I made two patches to have different
> prefixes in titles. I don't mind merging them, but I'll wait for
> someone else speaking up about this.

I think the series is good enough, FWIW. We're already at -rc6, seems
more important to give syzbot and testers time to exercise the core
change than fishing out more drivers.